const r = {
  classes: {
    wrapper({ props: t }) {
      const e = ["relative inline-flex items-center justify-center overflow-hidden align-middle border box-content"];
      return e.push(t.rounded ? "rounded-full" : "rounded-md"), t.size === "xs" ? e.push("h-6 w-6 text-xs") : t.size === "sm" ? e.push("h-9 w-9 text-sm") : t.size === "lg" ? e.push("h-12 w-12 text-lg") : t.size === "xl" ? e.push("h-[3.75rem] w-[3.75rem] text-xl") : e.push("h-10 w-10"), e;
    }
  },
  styles({ props: t, colors: e, css: l, data: n }) {
    const s = e.getPalette(t.color);
    return l.variables({
      bg: s[100],
      text: s[500],
      border: t.outlined ? s[500] : "transparent",
      dark: {
        bg: s[900]
      }
    });
  }
}, i = r;
export {
  i as default
};
